import Request from '@/utils/request/request-util';

/**
 * 门户后台管理 - 日历api
 *
 */
export class PortalCalendarApi {
    /**
     * 获取门户个人日历列表
     * @param {*} params
     */
    static list(params) {
        return Request.getAndLoadData('/portalCalendar/list', params);
    }

    /**
     * 添加
     * @param {*} params
     */
    static add(params) {
        return Request.post('/portalCalendar/add', params);
    }
    /**
     * 编辑
     * @param {*} params
     */
    static edit(params) {
        return Request.post('/portalCalendar/edit', params);
    }
    /**
     * 删除单个
     * @param {*} params
     */
    static delete(params) {
        return Request.post('/portalCalendar/delete', params);
    }
    /**
     * 删除多个
     * @param {*} params
     */
    static batchDelete(params) {
        return Request.post('/portalCalendar/batchDelete', params);
    }
    /**
     * 详情
     * @param {*} params
     */
    static detail(params) {
        return Request.getAndLoadData('/portalCalendar/detail', params);
    }
}